Open CASCADE Technology: TColgp_Array1OfVec2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TColgp_Array1OfVec2d Class Reference

`#include <TColgp_Array1OfVec2d.hxx>`

## Public Member Functions
| TColgp_Array1OfVec2d (const Standard_Integer Low, const Standard_Integer Up)
| TColgp_Array1OfVec2d (const gp_Vec2d &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const gp_Vec2d &V)
void | Destroy ()
| ~TColgp_Array1OfVec2d ()
Standard_Boolean | IsAllocated () const
const TColgp_Array1OfVec2d & | Assign (const TColgp_Array1OfVec2d &Other)
const TColgp_Array1OfVec2d & | operator= (const TColgp_Array1OfVec2d &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const gp_Vec2d &Value)
const gp_Vec2d & | Value (const Standard_Integer Index) const
const gp_Vec2d & | operator() (const Standard_Integer Index) const
gp_Vec2d & | ChangeValue (const Standard_Integer Index)
gp_Vec2d & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

TColgp_Array1OfVec2d::TColgp_Array1OfVec2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

TColgp_Array1OfVec2d::TColgp_Array1OfVec2d | ( | const gp_Vec2d & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

TColgp_Array1OfVec2d::~TColgp_Array1OfVec2d | ( |  | ) |
| inline

## Member Function Documentation

const TColgp_Array1OfVec2d& TColgp_Array1OfVec2d::Assign | ( | const TColgp_Array1OfVec2d & | Other | ) |

gp_Vec2d& TColgp_Array1OfVec2d::ChangeValue | ( | const Standard_Integer | Index | ) |

void TColgp_Array1OfVec2d::Destroy | ( |  | ) |

void TColgp_Array1OfVec2d::Init | ( | const gp_Vec2d & | V | ) |

Standard_Boolean TColgp_Array1OfVec2d::IsAllocated | ( |  | ) | const

Standard_Integer TColgp_Array1OfVec2d::Length | ( |  | ) | const

Standard_Integer TColgp_Array1OfVec2d::Lower | ( |  | ) | const

const gp_Vec2d& TColgp_Array1OfVec2d::operator() | ( | const Standard_Integer | Index | ) | const
| inline

gp_Vec2d& TColgp_Array1OfVec2d::operator() | ( | const Standard_Integer | Index | ) |
| inline

const TColgp_Array1OfVec2d& TColgp_Array1OfVec2d::operator= | ( | const TColgp_Array1OfVec2d & | Other | ) |
| inline

void TColgp_Array1OfVec2d::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Vec2d & | Value
| ) |  |

Standard_Integer TColgp_Array1OfVec2d::Upper | ( |  | ) | const

const gp_Vec2d& TColgp_Array1OfVec2d::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- TColgp_Array1OfVec2d.hxx